use clap::Parser;

#[allow(dead_code)]
mod xml;

fn play_file(file: &str) {
    use rodio::{Decoder, OutputStream, source::Source};

    let (_stream, stream_handle) = OutputStream::try_default().unwrap();
    let file = std::io::BufReader::new(std::fs::File::open(file).unwrap());
    let source = Decoder::new(file).unwrap();
    stream_handle.play_raw(source.convert_samples()).unwrap();
    std::thread::sleep(std::time::Duration::from_secs(5));
}

// https://github.com/UoC-Radio/audio-scheduler/blob/45275818423220de90b4ae578b57acdc138e5f50/main.c#L33-L63
#[derive(Parser, Debug)]
#[command(version)]
struct Args {
    #[arg(short='s', long)]
    audio_sink_bin: String,
    #[arg(short='d', long)]
    debug_level: u8,
    #[arg(short='m', long)]
    debug_mask: u8,
    #[arg(short='p', long)]
    port: u32,
    config_file: String,
}

fn main() {
    // play_file("test.flac");
    let _args = Args::parse();
}
